﻿Option Strict On
Option Explicit On

Public Class frmMain

    ''' ========================================================== 
    ''' = ◆ 関数機能 
    ''' ----------------------------------------------------------- 
    ''' <summary> 
    '''      <para>FSCommand受信イベントハンドラ</para> 
    ''' </summary>  
    ''' ----------------------------------------------------------- 
    ''' = ◆ 備考 
    ''' ----------------------------------------------------------- 
    ''' <remarks> 
    '''      <para>Flashから受信したコマンドを表示します</para> 
    ''' </remarks> 
    ''' =========================================================== 
    Private Sub AxShockwaveFlash1_FSCommand(ByVal sender As Object, ByVal e As  _
                        AxShockwaveFlashObjects._IShockwaveFlashEvents_FSCommandEvent) _
                                               Handles AxShockwaveFlash1.FSCommand
        txtReceive.Text = "command:" + e.command + ",  "
        txtReceive.Text += "param:" + e.args
    End Sub




    ''' ========================================================== 
    ''' = ◆ 関数機能 
    ''' ----------------------------------------------------------- 
    ''' <summary> 
    '''      <para>ボタンクリックイベントハンドラ</para> 
    ''' </summary>  
    ''' ----------------------------------------------------------- 
    ''' = ◆ 備考 
    ''' ----------------------------------------------------------- 
    ''' <remarks> 
    '''      <para>Flashをロードします</para> 
    ''' </remarks> 
    ''' ===========================================================     
    Private Sub btnLoad_Click(ByVal sender As System.Object, _
                                ByVal e As System.EventArgs) Handles btnLoad.Click
        ' ====== オープンダイアログのインスタンスを生成
        Dim myDialog As System.Windows.Forms.OpenFileDialog = _
                                    New System.Windows.Forms.OpenFileDialog

        ' ====== SWFファイルのみ選択可能にする
        myDialog.Filter = "Flashファイル(*.swf)|*.swf"
        myDialog.Title = "Flashファイルを選択して下さい"

        ' ====== ダイアログを開いてファイルを選択
        If myDialog.ShowDialog(Me) <> Windows.Forms.DialogResult.OK Then Return

        ' ====== Flashへ起動時に渡すパラメータ([変数名=パラメータ]のカタチで渡す)
        ' ====== 他にも渡すときは、&で連結する。(&変数名=パラメータ)
        AxShockwaveFlash1.FlashVars = "ApplNotify=aiueo" + txtPara1.Text _
                                    + "&ApplTest=" + txtPara2.Text


        ' ====== FLASHをロード
        AxShockwaveFlash1.LoadMovie(0, myDialog.FileName)
    End Sub
End Class
